#include <bits/stdc++.h>

using namespace std;

vector<int> solve(vector<int> a) {
    int n = a.size();

    if (n == 1)
        return {0};

    vector<int> ans;

    if (n % 2 == 0 && (n / 2) % 2 == 0) {
        for (int i = 0; i < n / 2; i++) {
            ans.push_back(i);
            ans.push_back(n - i - 1);
        }
    }

    else {
        for (int i = 0; i < n / 2 - 1; i++) {
            ans.push_back(i);
            ans.push_back(n - i - 1);
        }

        ans.push_back(n - n / 2);

        for (int i = n / 2 - 1; i < n - n / 2; i++)
            ans.push_back(i);
    }
    return ans;
}